Download the PHP package php-curl-class/php-curl-class without Composer

On this page you can find all versions of the php package php-curl-class/php-curl-class. It is possible to download/install these versions without Composer. Possible dependencies are resolved automatically.

Please rate this library. Is it a good library?

All versions of php-curl-class with dependencies

Informations about the package php-curl-class

PHP Curl Class: HTTP requests made easy

PHP Curl Class makes it easy to send HTTP requests and integrate with web APIs.



Installation

To install PHP Curl Class, simply:

$ composer require php-curl-class/php-curl-class

For latest commit version:

$ composer require php-curl-class/php-curl-class @dev

Requirements

PHP Curl Class works with PHP 7.0, 7.1, 7.2, 7.3, 7.4, and 8.0.

Quick Start and Examples

More examples are available under /examples.

More examples are available under /examples.

Available Methods

Security

See SECURITY for security considerations.

Troubleshooting

See TROUBLESHOOTING for troubleshooting.

Run Tests

To run tests:

$ git clone https://github.com/php-curl-class/php-curl-class.git
$ cd php-curl-class/
$ composer update
$ ./tests/run.sh

To run select tests:

$ git clone https://github.com/php-curl-class/php-curl-class.git
$ cd php-curl-class/
$ composer update
$ ./tests/run.sh --filter=keyword

To test all PHP versions in containers:

$ git clone https://github.com/php-curl-class/php-curl-class.git
$ cd php-curl-class/
$ ./tests/test_all.sh

Contribute

  1. Check for open issues or open a new issue to start a discussion around a bug or feature.
  2. Fork the repository on GitHub to start making your changes.
  3. Write one or more tests for the new feature or that expose the bug.
  4. Make code changes to implement the feature or fix the bug.
  5. Send a pull request to get your changes merged and published.

Version
Requires php Version >=5.3
ext-curl Version *

The package php-curl-class/php-curl-class contains the following files

Loading the files please wait ....